<?php

declare(strict_types=1);

\main_tts\registry::get('di')->register('session', function(array $args) {
  if (isset($arg[0]) && is_string($arg[0])) {
    $type = $arg[0];
  } else {
    $type = \main_tts\configure::get('sessions', 'type'); 
  }
  return new \tts\services\sessions($type);
});